Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.xml.security.assertion
Class ConfidentialityAssertion

    java.lang.Object
      |
      +--weblogic.xml.security.assertion.ConfidentialityAssertion

Direct Known Subclasses:
  ElementConfidentialityAssertion

public class ConfidentialityAssertion
extends java.lang.Object
implements SecurityAssertion

ConfidentialityAssertion.java This class represents an assertion about the confidentiality of a document or message. This assertion inidicates that the body of the SOAP message was encrypted. Created: Thu Aug 8 09:05:04 2002

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Field Summary
`protected java.lang.String` | `id`

Constructor Summary
`ConfidentialityAssertion(java.lang.String id)`

Method Summary
`java.lang.String` | `getAssertionType()`
`int` | `getAssertionTypeCode()`
`java.lang.String` | `getId()`
`boolean` | `isAssertionType(java.lang.String assertionType)`
`boolean` | `repudiable()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### id

    protected java.lang.String id

Constructor Detail

### ConfidentialityAssertion

    public ConfidentialityAssertion(java.lang.String id)

Method Detail

### getAssertionType

    public java.lang.String getAssertionType()

  Specified by:
    getAssertionType in interface SecurityAssertion

### getAssertionTypeCode

    public int getAssertionTypeCode()

  Specified by:
    getAssertionTypeCode in interface SecurityAssertion

### getId

    public java.lang.String getId()

### isAssertionType

    public boolean isAssertionType(java.lang.String assertionType)

  Specified by:
    isAssertionType in interface SecurityAssertion

### repudiable

    public boolean repudiable()

  Specified by:
    repudiable in interface SecurityAssertion

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD